---
    - name: Mount NFS v4.1 datastores to ESXi
      community.vmware.vmware_host_datastore:
        hostname: '{{ vcenter_hostname }}'
        username: '{{ vcenter_username }}'
        password: '{{ vcenter_password }}'
        datastore_name: '{{ item.1.name }}'
        datastore_type: '{{ item.1.type }}'
        nfs_server: '{{ item.1.server_config }}'
        nfs_path: '{{ item.1.path }}'
        nfs_ro: no
        esxi_hostname: '{{ item.0 }}'
        state: present
        validate_certs: no
      delegate_to: localhost
      with_nested:
        - "{{ esx_hosts }}" 
        - "{{ nfs_shares }}"
